

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta content="Information about the two ObjectRocket APIs" name="description" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>ObjectRocket API documentation &mdash; ObjectRocket Documentation</title>
  

  
  
  
  
    <link rel="canonical" href="https://docs.objectrocket.com/objectrocket_apidocs.html"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="genindex.html"/>
        <link rel="search" title="Search" href="search.html"/>
    <link rel="top" title="ObjectRocket Documentation" href="index.html"/>
        <link rel="next" title="API v2 (Dedicated Platform)" href="api_v2.html"/>
        <link rel="prev" title="Migration guide" href="migration_guide.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="index.html" class="icon icon-home"> ObjectRocket
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="getting_started.html">Getting Started Guide</a></li>
<li class="toctree-l1"><a class="reference internal" href="billing_overview.html">Billing overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="objectrocket_platform.html">ObjectRocket hosting platform</a></li>
<li class="toctree-l1"><a class="reference internal" href="login_sso.html">Login and SSO with ObjectRocket</a></li>
<li class="toctree-l1"><a class="reference internal" href="mongodb.html">MongoDB</a></li>
<li class="toctree-l1"><a class="reference internal" href="redis.html">Redis</a></li>
<li class="toctree-l1"><a class="reference internal" href="elastic.html">Elasticsearch</a></li>
<li class="toctree-l1"><a class="reference internal" href="migration_guide.html">Migration guide</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">ObjectRocket API documentation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api_v2.html">API v2 (Dedicated Platform)</a></li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">ObjectRocket</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>ObjectRocket API documentation</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/objectrocket_apidocs.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="objectrocket-api-documentation">
<h1>ObjectRocket API documentation<a class="headerlink" href="#objectrocket-api-documentation" title="Permalink to this headline">¶</a></h1>
<p>ObjectRocket supports the use of APIs for both the Dedicated platform and the Cloud Platform.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="api_v2.html">API v2 (Dedicated Platform)</a><ul>
<li class="toctree-l2"><a class="reference internal" href="api_v2_getting_started.html">Overview</a></li>
<li class="toctree-l2"><a class="reference internal" href="api_v2_general_resources.html">General Resources</a></li>
<li class="toctree-l2"><a class="reference internal" href="api_v2_instance_resources.html">Instance Resources</a></li>
<li class="toctree-l2"><a class="reference internal" href="api_v2_mongodb_resources.html">MongoDB Resources</a></li>
<li class="toctree-l2"><a class="reference internal" href="api_v2_redis_resources.html">Redis Resources</a></li>
<li class="toctree-l2"><a class="reference internal" href="api_v2_elasticsearch_resources.html">Elasticsearch Resources</a></li>
</ul>
</li>
</ul>
</div>
</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="api_v2.html" class="btn btn-neutral float-right" title="API v2 (Dedicated Platform)" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="migration_guide.html" class="btn btn-neutral" title="Migration guide" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2022, ObjectRocket.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>